# MedicalCertificateDateRecordType enum

Type of a date record.

Inheritance
  - Object
  - Enum
  - MedicalCertificateDateRecordType
Available extensions
  - EnumName

## Values

INCAPABLE_OF_WORK_SINCE → const MedicalCertificateDateRecordType

  (Form 1) Incapable of work since (arbeitsunfähig seit) date.

INCAPABLE_OF_WORK_UNTIL → const MedicalCertificateDateRecordType

  (Form 1) Incapable of work until (voraussichtlich arbeitsunfähig bis einschließlich oder letzter Tag der Arbeitsunfähigkeit) date.

DIAGNOSED_ON → const MedicalCertificateDateRecordType

  (Form 1) Diagnosed on (festgestellt am) date.

DOCUMENT_DATE → const MedicalCertificateDateRecordType

  Document date.

BIRTH_DATE → const MedicalCertificateDateRecordType

  Birthdate (geb. am).

CHILD_NEEDS_CARE_FROM → const MedicalCertificateDateRecordType

  (Form 21a) Child needs care from (Das genannte Kind bedarf/bedurfte vom) date.

CHILD_NEEDS_CARE_UNTIL → const MedicalCertificateDateRecordType

  (Form 21a) Child needs care until (Das genannte Kind bedarf/bedurfte bis einschließlich) date.

UNDEFINED → const MedicalCertificateDateRecordType

  Undefined date type.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<MedicalCertificateDateRecordType>
  A constant List of the values in this enum, in order of their declaration.